Bug 1297330 - [RFE][UX] provide a user-friendly error message when the nic names aren't found on the nodes
[RFE][UX] provide a user-friendly error message when the nic names aren't fou...
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity high
: Upstream M2
: 13.0 (Queens)
Assigned To: Florian Fuchs
Ola Pavlenko
: FutureFeature, Triaged
Depends On:
Blocks: 1442136
  Show dependency treegraph
 
Reported: 2016-01-11 03:55 EST by Udi
Modified: 2017-11-22 10:20 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Udi 2016-01-11 03:55:12 EST
Description of problem:
I tried to deploy with network isolation using the same templates I used for 7.1, and the deployment hung for 4 hours and then timed out. There were no clues in any of the logs as to the simple explanation for the problem, and I wasn't able to guess it myself: I used nic names like ethX and it's now enpXXX...


How reproducible:
100%


Steps to Reproduce:
1. Deploy with templates that don't match the nic namings used by your OS


Actual results:
Deployment fails, no clues provided to the user as to where to look for the problem.


Expected results:
A clear error message which says exactly what the problem is, that any user can understand
Comment 3 Mike Burns 2016-04-07 17:03:37 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Jason E. Rist 2016-09-29 07:18:11 EDT
This needs more info: how was this error done? CLI? UI?  what tool was used to deploy?
Comment 6 Udi 2016-09-29 07:30:07 EDT
This error occurs when you configure the networking in your plans, and you use the wrong naming method for the NICs. For example you call them ethX instead of enoX or enp...
Comment 7 Ola Pavlenko 2016-10-05 12:59:27 EDT
Blueprint is here : https://blueprints.launchpad.net/tripleo/+spec/nic-names-validations
Comment 8 Ola Pavlenko 2016-12-12 09:36:25 EST
Possible candidate for M-3

Note You need to log in before you can comment on or make changes to this bug.